API

YouTube API

The AI-powered YouTube provides 360° Global Media Data & Intelligence on YouTube creators, video producers, brand marketers, and content distributors.

API-Referenz Version: 1.0.0 15 Endpunkte Authentifizierung
YouTube Monitor

Basis-URL

https://pressmonitor.com/api

Authentifizierung

Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /youtube_media_suggestions

YouTube Médias Suggestions

Parameter

Name Typ Standort Erforderlich Beschreibung
keyword string query Nein Keyword

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_suggestions?keyword=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_details

YouTube Médias Détails

Parameter

Name Typ Standort Erforderlich Beschreibung
videoId string query Nein YouTube video ID

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_details?videoId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_subtitles

YouTube Médias Sous-titres

Parameter

Name Typ Standort Erforderlich Beschreibung
videoId string query Nein YouTube video ID
subtitleUrl string query Nein Subtitle URL

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_subtitles?videoId=VALUE&subtitleUrl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_comments

YouTube Médias Commentaires

Parameter

Name Typ Standort Erforderlich Beschreibung
videoId string query Nein YouTube video ID
limit integer query Nein Number of results
page string query Nein Page number

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_comments?videoId=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_channel

YouTube Médias Chaîne

Parameter

Name Typ Standort Erforderlich Beschreibung
channelId string query Nein YouTube channel ID

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel?channelId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_channel_videos

YouTube Médias Chaîne Vidéos

Parameter

Name Typ Standort Erforderlich Beschreibung
channelId string query Nein YouTube channel ID
limit integer query Nein Number of results
page string query Nein Page number
type string query Nein Type (videos, shorts, live; or playlists, releases, podcasts)

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel_videos?channelId=VALUE&limit=VALUE&page=VALUE&type=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_transcript

YouTube Transcription

Parameter

Name Typ Standort Erforderlich Beschreibung
videoId string query Nein YouTube video ID

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_transcript?videoId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_download

YouTube Téléchargement

Parameter

Name Typ Standort Erforderlich Beschreibung
videoId string query Nein YouTube video ID
kind string query Nein Kind (video or audio)

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_download?videoId=VALUE&kind=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_search_channels

YouTube Médias Recherche Chaînes

Parameter

Name Typ Standort Erforderlich Beschreibung
keyword string query Nein Keyword
limit integer query Nein Number of results
page string query Nein Page number

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_search_channels?keyword=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_search_playlists

YouTube Médias Recherche Playlists

Parameter

Name Typ Standort Erforderlich Beschreibung
keyword string query Nein Keyword
limit integer query Nein Number of results
page string query Nein Page number

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_search_playlists?keyword=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_channel_playlists

YouTube Médias Chaîne Playlists

Parameter

Name Typ Standort Erforderlich Beschreibung
channelId string query Nein YouTube channel ID
limit integer query Nein Number of results
page string query Nein Page number
type string query Nein Type (videos, shorts, live; or playlists, releases, podcasts)

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_channel_playlists?channelId=VALUE&limit=VALUE&page=VALUE&type=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_playlist_details

YouTube Médias Playlist Détails

Parameter

Name Typ Standort Erforderlich Beschreibung
playlistId string query Nein YouTube playlist ID

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_playlist_details?playlistId=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /youtube_media_playlist_videos

YouTube Médias Playlist Vidéos

Parameter

Name Typ Standort Erforderlich Beschreibung
playlistId string query Nein YouTube playlist ID
limit integer query Nein Number of results
page string query Nein Page number

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/youtube_media_playlist_videos?playlistId=VALUE&limit=VALUE&page=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success